luajit_2.1.0~beta3+dfsg-5.1_i386.deb


Advertisement

Description

luajit - Just in time compiler for Lua programming language version 5.1

Property Value
Distribution Debian 10 (Buster)
Repository Debian Main i386
Package filename luajit_2.1.0~beta3+dfsg-5.1_i386.deb
Package name luajit
Package version 2.1.0~beta3+dfsg
Package release 5.1
Package architecture i386
Package type deb
Category devel::compiler devel::interpreter interpreters role::program
Homepage http://luajit.org
License -
Maintainer Enrico Tassi <gareuselesinge@debian.org>
Download size 239.52 KB
Installed size 517.00 KB
LuaJIT implements the full set of language features defined by Lua 5.1. The
virtual machine (VM) is API- and ABI-compatible to the standard Lua interpreter
and can be deployed as a drop-in replacement.
This package contains the standalone interpreter/jitter that can be used
as a replacement for the standard lua5.1 interpreter.

Alternatives

Package Version Architecture Repository
luajit_2.1.0~beta3+dfsg-5.1_amd64.deb 2.1.0~beta3+dfsg amd64 Debian Main
luajit - - -

Requires

Name Value
libc6 >= 2.2
libgcc1 >= 1:3.3
libluajit-5.1-2 = 2.1.0~beta3+dfsg-5.1
libluajit-5.1-common = 2.1.0~beta3+dfsg-5.1

Download

Type URL
Mirror ftp.br.debian.org
Binary Package luajit_2.1.0~beta3+dfsg-5.1_i386.deb
Source Package luajit

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install luajit deb package:
    # sudo apt-get install luajit

Files

Path
/usr/bin/luajit
/usr/share/doc/luajit/changelog.Debian.gz
/usr/share/doc/luajit/copyright
/usr/share/man/man1/luajit.1.gz

Changelog

2017-10-25 - Gianfranco Costamagna <locutusofborg@debian.org>
luajit (2.1.0~beta3+dfsg-5.1) unstable; urgency=medium
* Non-maintainer upload.
* debian/patches/362.patch:
- fix from James Cowgill for mips64el miscompilation (Closes: #878817)
* debian/patches/a057a07ab702e225e21848d4f918886c5b0ac06b.patch
- align the soft-float patch to make 362 applicable
2017-10-11 - Ondřej Surý <ondrej@debian.org>
luajit (2.1.0~beta3+dfsg-5) unstable; urgency=medium
* Make ccall_copy_struct static to unpollute global library namespace
* Refresh ppc64 support patch using gbp pq
* Pull upstream PR to fix register allocation bug in arm64
2017-10-10 - Ondřej Surý <ondrej@debian.org>
luajit (2.1.0~beta3+dfsg-4) unstable; urgency=medium
* Use a positive list of Architecture(s) in d/control (Closes: #875976)
2017-10-10 - Ondřej Surý <ondrej@debian.org>
luajit (2.1.0~beta3+dfsg-3) unstable; urgency=medium
* Explicitly disable unsupported architectures and sync the list between
luajit and libluajit* (Closes: #875976)
2017-08-25 - Ondřej Surý <ondrej@debian.org>
luajit (2.1.0~beta3+dfsg-2) unstable; urgency=low
[ Enrico Tassi ]
* Switch ppc64 support to PR#140
2017-08-25 - Ondřej Surý <ondrej@debian.org>
luajit (2.1.0~beta3+dfsg-1) unstable; urgency=low
* Upload to unstable
* Make the d/gbp.conf track the master/upstream for 2.1.x again
2017-05-08 - Ondřej Surý <ondrej@debian.org>
luajit (2.1.0~beta3-1) experimental; urgency=medium
* libluajit-5.1-common is arch:all (binNMUability)
* Bump standards version (no change)
* Use better Vcs-Browser URL
* Update symbols file for 2.1.0~beta3+dfsg release
* Update patches for 2.1.0~beta3+dfsg release
* New upstream version 2.1.0~beta3+dfsg
2016-04-14 - Ondřej Surý <ondrej@debian.org>
luajit (2.1.0~beta2+dfsg-3) experimental; urgency=medium
* Add ppc64el to Architecture: field in the packages, so ppc64el
actually builds.w
2016-04-13 - Ondřej Surý <ondrej@debian.org>
luajit (2.1.0~beta2+dfsg-2) experimental; urgency=medium
* Add ppc64 support based on https://github.com/PPC64/LuaJIT.git
* Bump standards version to 3.9.7 (no change)
2016-03-06 - Ondřej Surý <ondrej@debian.org>
luajit (2.1.0~beta2+dfsg-1) experimental; urgency=medium
* Imported Upstream version 2.1.0~beta2+dfsg
* Use DFSG sources again by removing doc/*
* Remove unsupported release architectures: ppc64el and s390x

See Also

Package Description
luakit_2.1-1_i386.deb fast and small web browser extensible by Lua
luarocks_2.4.2+dfsg-1_all.deb deployment and management system for Lua modules
luasseq_2018.20190227-2_all.deb TeX Live: transitional dummy package
luckybackup-data_0.5.0-2_all.deb rsync-based GUI data backup utility (data files)
luckybackup_0.5.0-2_i386.deb rsync-based GUI data backup utility
lucy_1.20-1_i386.deb DNA sequence quality and vector trimming tool
ludevit_8.1_all.deb converter from standard Slovak into the L. Štúr version
lugaru-data_1.2-4_all.deb data for the third person ninja rabbit fighting game Lugaru HD
lugaru_1.2-4_i386.deb third person ninja rabbit fighting game
luksipc_0.04-3_i386.deb LUKS in-place conversion tool
luksmeta_9-3_i386.deb Utility to access metadata in a LUKSv1 header
luminance-hdr_2.5.1+dfsg-3+b4_i386.deb graphical user interface providing a workflow for HDR imaging
lunar_2.2-6+b1_i386.deb Chinese Lunar Calendar conversion utility
lunch_0.4.0-2_all.deb Transitional package for python-lunch
lunzip_1.11-3_i386.deb data compressor based on the LZMA algorithm (decompressor)
Advertisement
Advertisement